Update team
curl --request PATCH \
--url https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Customer-facing status"
}
'import requests
url = "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}"
payload = { "description": "Customer-facing status" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Customer-facing status'})
};
fetch('https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Customer-facing status'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}"
payload := strings.NewReader("{\n \"description\": \"Customer-facing status\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Customer-facing status\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Customer-facing status\"\n}"
response = http.request(request)
puts response.read_body{
"id": "xkcd1re77cgdse4b8h9abp4s",
"name": "Platform",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"description": "Customer-facing status",
"createdAt": "2026-09-27T14:21:55.104Z",
"updatedAt": "2026-09-27T14:21:55.772Z"
}{
"message": [
"name must be longer than or equal to 1 characters",
"regions must be an array"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "domain already taken",
"error": "Conflict",
"statusCode": 409
}Organizations
Update team
Authentication: User session only (the panel). API keys receive 401. Requires the owner role; other roles receive 403.
PATCH
/
api
/
v1
/
organizations
/
{orgId}
/
teams
/
{teamId}
Update team
curl --request PATCH \
--url https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Customer-facing status"
}
'import requests
url = "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}"
payload = { "description": "Customer-facing status" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Customer-facing status'})
};
fetch('https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Customer-facing status'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}"
payload := strings.NewReader("{\n \"description\": \"Customer-facing status\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Customer-facing status\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/organizations/{orgId}/teams/{teamId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Customer-facing status\"\n}"
response = http.request(request)
puts response.read_body{
"id": "xkcd1re77cgdse4b8h9abp4s",
"name": "Platform",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"description": "Customer-facing status",
"createdAt": "2026-09-27T14:21:55.104Z",
"updatedAt": "2026-09-27T14:21:55.772Z"
}{
"message": [
"name must be longer than or equal to 1 characters",
"regions must be an array"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "domain already taken",
"error": "Conflict",
"statusCode": 409
}